# Visualization
TKV3d
AIS

# AIS_DataMapIteratorOfDataMapOfILC Class Reference

`#include <AIS_DataMapIteratorOfDataMapOfILC.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | AIS_DataMapIteratorOfDataMapOfILC ()
Standard_EXPORT | AIS_DataMapIteratorOfDataMapOfILC (const AIS_DataMapOfILC &aMap)
Standard_EXPORT void | Initialize (const AIS_DataMapOfILC &aMap)
Standard_EXPORT const Standard_Integer & | Key () const
Standard_EXPORT const Handle_AIS_LocalContext & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT AIS_DataMapIteratorOfDataMapOfILC::AIS_DataMapIteratorOfDataMapOfILC | ( |  | ) |

Standard_EXPORT AIS_DataMapIteratorOfDataMapOfILC::AIS_DataMapIteratorOfDataMapOfILC | ( | const AIS_DataMapOfILC & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void AIS_DataMapIteratorOfDataMapOfILC::Initialize | ( | const AIS_DataMapOfILC & | aMap | ) |

Standard_EXPORT const Standard_Integer& AIS_DataMapIteratorOfDataMapOfILC::Key | ( |  | ) | const

void AIS_DataMapIteratorOfDataMapOfILC::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AIS_DataMapIteratorOfDataMapOfILC::operator new | ( | size_t | size | ) | `[inline]`

void* AIS_DataMapIteratorOfDataMapOfILC::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_AIS_LocalContext& AIS_DataMapIteratorOfDataMapOfILC::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- AIS_DataMapIteratorOfDataMapOfILC.hxx